package org.wso2.carbon.device.mgt.ios.payload.beans;

import org.testng.Assert;
import org.testng.annotations.Test;
import org.wso2.carbon.device.mgt.ios.payload.exception.PListException;
import org.wso2.carbon.device.mgt.ios.payload.exception.ProfileConfigurationException;
import org.wso2.carbon.device.mgt.ios.payload.operation.DeviceOperations;

public class RemoveProfileTestSuite {

    @Test(expectedExceptions = ProfileConfigurationException.class)
    public void testIdentifier() throws ProfileConfigurationException {

        RemoveProfile removeProfile = new RemoveProfile();
        removeProfile.setIdentifier("");
        removeProfile.validateRequest();

    }

    @Test
    public void testWebClipPayload() throws ProfileConfigurationException, PListException {

        RemoveProfile removeProfile = new RemoveProfile();
        removeProfile.setIdentifier("identifier");
        removeProfile.validateRequest();

        DeviceOperations deviceOperations = new DeviceOperations();
        String payload = deviceOperations.createRemoveProfilePayload(removeProfile);

        Assert.assertNotNull(payload);

    }
}
